Associate clients with an organization
curl --request POST \
--url https://{tenantDomain}/api/v2/organizations/{id}/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clients": [
{
"client_id": "<string>",
"use_for_member_access": true
}
]
}
'import requests
url = "https://{tenantDomain}/api/v2/organizations/{id}/clients"
payload = { "clients": [
{
"client_id": "<string>",
"use_for_member_access": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({clients: [{client_id: '<string>', use_for_member_access: true}]})
};
fetch('https://{tenantDomain}/api/v2/organizations/{id}/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"client_id": "<string>",
"use_for_member_access": true,
"client": {
"name": "<string>",
"app_type": "<string>",
"logo_uri": "<string>"
}
}
]{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}{
"message": "<string>",
"statusCode": "<unknown>",
"error": "<unknown>"
}Associate clients with an organization
Associate one or more clients with an organization.
POST
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
clients
Associate clients with an organization
Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the organization.
Body
application/jsonapplication/x-www-form-urlencoded
List of clients to associate with the organization.
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Response
Organization clients successfully associated.
Was this page helpful?
Remove client associations from an organization
Previous
Update an organization client association
Next
⌘I